OfonoMessageWaiting Class Reference

This class is used to access oFono message waiting API. More...

`#include <ofonomessagewaiting.h>`

Inheritance diagram for OfonoMessageWaiting:

## Public Slots

void | setVoicemailMailboxNumber (QString mailboxnumber)

## Signals

void | voicemailWaitingChanged (bool waiting)
void | voicemailMessageCountChanged (int count)
void | voicemailMailboxNumberChanged (const QString &mailboxnumber)
void | setVoicemailMailboxNumberFailed ()
Signals inherited from OfonoModemInterface
void | validityChanged (bool validity)
| Interface validity has changed.

## Public Member Functions

| OfonoMessageWaiting (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, QObject *parent=0)
bool | voicemailWaiting () const
int | voicemailMessageCount () const
QString | voicemailMailboxNumber () const
Public Member Functions inherited from OfonoModemInterface
| OfonoModemInterface (OfonoModem::SelectionSetting modemSetting, const QString &modemPath, const QString &ifname, OfonoGetPropertySetting propertySetting, QObject *parent=0)
| Construct a modem interface object.
bool | isValid () const
| Check that the modem interface object is valid.
OfonoModem * | modem () const
| Get the modem object that this interface belongs to.
QString | path () const
| Returns the D-Bus object path of the interface.
QString | errorName () const
| Get the D-Bus error name of the last operation.
QString | errorMessage () const
| Get the D-Bus error message of the last operation.

## Properties

bool | voicemailWaiting
int | voicemailMessageCount
QString | voicemailMailboxNumber
Properties inherited from OfonoModemInterface
bool | isValid
QString | path
QString | errorName
QString | errorMessage

## Additional Inherited Members

Protected Attributes inherited from OfonoModemInterface
OfonoInterface * | m_if

## Detailed Description

This class is used to access oFono message waiting API.

oFono message manager API is documented in http://git.kernel.org/?p=network/ofono/ofono.git;a=blob_plain;f=doc/message-waiting-api.txt

The documentation for this class was generated from the following file:

- lib/ofonomessagewaiting.h